<%@ Page Language="C#" Debug="True" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.Odbc" %>

<script runat="server">

// Anslutning frn ASP.NET med CS till MySQL.

// Standardprocedur
  public void Page_Load(object Sender, EventArgs E)
  {
    OdbcConnection oConn = new OdbcConnection();
    string strConn = "";
    string strResult = "Anslutningen lyckades.";

    // Anslut till databasen.

    // Connectionstrng.
    strConn = "DRIVER={MySQL ODBC 5.1 Driver};" +
              "SERVER=mysql.ditt_domnnamn;" +
	      "PORT=3306;" +
	      "DATABASE=din_databas;" +
	      "UID=din_anvndare;" +
	      "PWD=ditt_lsenord;" +
	      "OPTION=3";

    // Anslut till databasen.
    try
    {
      oConn.ConnectionString = strConn;
      oConn.Open();
    }
    catch(OdbcException eDBOpen)
    {
      // Ett fel intrffade.
      strResult = GetDBError(eDBOpen);
    }

    oConn.Close();
    LabelResult.Text = strResult;
  }

  // Display error strings from exception object and exit.
  public string GetDBError(OdbcException e)
  {
    int i = 0;
    string strResult = "";

    strResult += "Anslutningen misslyckades.<br/>\n";
    strResult += "Felmeddelande frn ODBC:<br/>\n<br/>\n";
    strResult += "<table border=\"1\">\n";
    strResult += "<tr>\n";
    strResult += "	<td><strong>#</strong></td>\n";
    strResult += "	<td><strong>Meddelande</strong></td>\n";
    strResult += "	<td><strong>Native</strong></td>\n";
    strResult += "	<td><strong>Klla</strong></td>\n";
    strResult += "	<td><strong>SQL</strong></td>\n";
    strResult += "</tr>\n";

    for (i = 0; i < e.Errors.Count; i++)
    {
      strResult += "<tr>\n";
      strResult += "	<td>" + i.ToString() + "</td>\n";
      strResult += "	<td>" + e.Errors[i].Message + "</td>\n";
      strResult += "	<td>" + e.Errors[i].NativeError.ToString() + "</td>\n";
      strResult += "	<td>" + e.Errors[i].Source + "</td>\n";
      strResult += "	<td>" + e.Errors[i].SQLState + "</td>\n";
      strResult += "</tr>\n";
    }

    strResult += "</table>\n";
    return strResult;
  }

</script>

<html>
	<head>
	<title>
		Anslutning frn ASP.NET till MySQL
	</title>
	</head>
<body>

<form runat="server">
	<asp:Label id="LabelResult" Text="" runat="server"/>
</form>

</body>
</html>
